{
  config,
  pkgs,
  inputs,
  lib,
  ...
}: {
  services.nginx = {
    enable = true;
    virtualHosts = {
      "cinny.gladtherescake.eu" = {
        root = "${pkgs.cinny}";
        ## Force HTTP redirect to HTTPS
        forceSSL = true;
        ## LetsEncrypt
        enableACME = true;
        locations."/" = {
          index = "index.html";
        };
      };
    };
  };
}
